@import '../../../styles/variables';
@import '../../../styles/mixins';

header {
  @include generic-layout(auto, true);
  height: 200px;
  margin-bottom: $margin * 4;
  .container {
    width: 200px;
    height: 200px;
    padding: $padding / 3;
    border-radius: 100%;
    box-sizing: border-box;
    background-color: $color-white;
    border: 1px solid $color-border;
    &__pp {
      width: 100%;
      height: 100%;
      border-radius: inherit;
      object-fit: cover;
    }
  }
  .title {
    @include generic-layout();
    margin-left: $margin;
    h1,
    h2 {
      max-width: 350px;
      @include ellipsis();
      @include gt-md {
        max-width: 600px;
      }
    }
  }

  @include xs {
    @include generic-layout(100%);
    align-items: center;
    height: auto;
    .title {
      margin: 0;
      margin-top: $margin;
      align-items: center;
      h1,
      h2 {
        max-width: 300px;
      }
    }
  }
}

section {
  h2 {
    margin-bottom: $margin * 2;
  }
  max-width: $max-width;

  mat-form-field {
    width: 250px;
    &.xs {
      width: 100%;
    }
  }
  .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(230px, min-content));
    gap: $margin;

    @include xs {
      grid-template-columns: 1fr;
    }

    .card {
      @include generic-layout(250px);
      height: 150px;
      @include xs {
        width: 100%;
      }

      background-image: url('/assets/images/circle-mask-3.svg');
      background-repeat: no-repeat;
      background-blend-mode: overlay;
      background-size: cover;
      background-position: right top;
      background-size: 40%;

      justify-content: flex-start;
      position: relative;
      background-color: $color-secondary;
      border: 1px solid $color-border;
      border-radius: $border-radius;
      padding: $padding;
      color: $color-text;
      @include rainbow-link();

      &--warn {
        background-color: $color-warn;
      }

      &__title {
        font-size: 18px;
      }

      &__content {
        p {
          font-size: 12px;
          line-height: 1rem;
        }
      }

      &__link {
        position: absolute !important;
        z-index: 1;
        right: $margin;
        bottom: $margin;
        width: 70px;
        height: 28px;
        align-self: flex-end;

        ::ng-deep {
          span {
            font-size: 11px;
          }
        }
      }
    }
  }
}
